<template>
    <div class="home">
        <div class="nav">
            <p>火爆商品</p>
        </div>
        <div class="aa">
          <div class="wrap" v-for="(item,index) in list.top" :key="index">
          <div class="tp">
             <img :src="item.image" alt="">
          </div>
           <p class="name">{{item.name}}</p>
           <p class="prc">{{item.price}}</p>
        </div>
        </div>
        <div class="solt">
            <span class="solt-1" @click="btn('all')">全部</span>
            <span class="solt-2" @click="btn('style')">款式新</span>
            <span class="solt-3" @click="btn('sell')">销量高</span>
            <span class="solt-4" @click="btn('rate')">好评多</span>
        </div>
    <div class="box" v-for="(item,index) in list.data" :key="index">
        <div class="box-tu">
            <img :src="item.image" alt="">
        </div>
        <div class="box-content">
          <p class="box-name">{{item.name}}</p>
          <p class="box-prc">{{item.price}}</p>
        </div>
        <div class="box-gwc">
              <img src="../assets/cart.png" alt="">
        </div>
    </div>
  </div>
</template>

<script>
import axios from 'axios';
export default {
  name: "Home",
  data() {
    return {
       list:[],
      //  list2:[]
    };
  },
  methods: {
    btn(data){
        axios.get('https://dahua0822-api.herokuapp.com/goods',{
            params:{
              sort:data
            }
        }).then((res)=>{
          this.list = res.data.data
            console.log(res,'1111111');
        })
    }
  },
  created(){
        axios.get("https://dahua0822-api.herokuapp.com/goods").then((res) => {
        if (res.status === 200 && res.data.success) {
          // this.list2 = res.data.data.data;
          this.list = res.data.data
          console.log(res.data.data);
        } else {
          alert("出错了");
        }
      });
  }
};
</script>

<style lang='scss'>
.home{
  height: 100%;
  background-color: rgba(247, 247, 250, 1);

}
  .nav{  
      p{
        font-size: 14px;
        font-weight: 700;
        padding: 28px 40px 22px 24px;
        color: rgba(26, 26, 26, 1);
  }
  }
  .aa{
    width: 100%;
    overflow: hidden;
    display: flex;
    overflow: scroll;
  }
  .wrap{
    width: 168px;
    height: 222px;
    margin: 22px 0 0 26px;
    background: rgba(255, 255, 255, 1);
    border-radius:28px ;
    .tp{
      width: 168px;
      height: 146px;
      border-radius: 28px 28px 0px 0px;
      background-color: white;
      display: flex;
        img{
            width: 129.26px;
            height: 155.57px;
            margin: 0 auto;
        }
    }
    .tp2{
      img{
          width: 168px;
            height: 146px;
            margin: 0 auto; 
      }
    }
    .name{
      font-size: 10px;
      font-weight: 700;
      overflow: hidden;
      text-overflow: ellipsis;
      white-space: nowrap;
    }
    .prc{
      font-size: 16px;
      font-weight: 700;
      text-align: center;
    }
  }
  .solt{
    display: flex;
    justify-content: space-around;
      .solt-1{
          width: 44px;
          height: 44px;
          background: rgba(255, 223, 117, 1);
          border-radius:14px ;
          font-size: 14px;
          font-weight: 700;
          text-align: center;
          line-height: 44px;
          margin: 32px 0 7px 20px;
      }
      .solt-2{
          width: 99.23px;
          height: 44px;
          background: rgba(255, 255, 255, 1);
          border-radius:14px ;
          font-size: 14px;
          font-weight: 700;
          text-align: center;
          line-height: 44px;
          margin: 32px 0 20px 20px;
      }
       .solt-3{
          width: 99.23px;
          height: 44px;
          background: rgba(255, 255, 255, 1);
          border-radius:14px ;
          font-size: 14px;
          font-weight: 700;
          text-align: center;
          line-height: 44px;
          margin: 32px 0 20px 20px;
      }
      .solt-4{
          width: 99.23px;
          height: 44px;
          background: rgba(255, 255, 255, 1);
          border-radius:14px ;
          font-size: 14px;
          font-weight: 700;
          text-align: center;
          line-height: 44px;
          margin: 32px 0 20px 20px;
      }
  }
 .box{
  padding:20px 22px 24px 26px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  // border:1px solid #ccc ;
    .box-tu{
      width: 68px;
      height: 74px;
        img{
          width: 68px;
          height: 74px;
        }
    }
    .box-content{
      flex: 1;
      margin-left: 24px;
      height: 68px;
        .box-name{
         margin: 4px 0 16px 0;
          font-size: 12px;
          font-weight: 700;
        }
        .box-prc{
          font-size: 16px;
          font-weight: 700;
        }
    }
    .box-gwc{
        width: 48px;
        height: 48px;
        background: rgba(255, 230, 148, 1);
        position: relative;
        border-radius:50% ;
        img{
          width: 18px;
          height: 18px;
          position: absolute;
          top: 50%;
          left: 50%;
          transform: translate(-50%,-50%);
        }
    }
 }
</style>